[Bug 1017237] Re: package libpam-smbpass 2:3.6.3-2ubuntu2.2 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 2

Launchpad Bug Tracker 1017237 at bugs.launchpad.net
Wed Sep 12 04:17:12 UTC 2012


[Expired for samba (Ubuntu) because there has been no activity for 60
days.]

** Changed in: samba (Ubuntu)
       Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to samba in Ubuntu.
https://bugs.launchpad.net/bugs/1017237

Title:
  package libpam-smbpass 2:3.6.3-2ubuntu2.2 failed to install/upgrade:
  subprocess installed pre-removal script returned error exit status 2

Status in “samba” package in Ubuntu:
  Expired

Bug description:
  Update manager keeps pointing out that samba has unmet dependencies,
  so I decided to remove it. Here is what happens:

  $ sudo apt-get remove libpam-smbpass samba
  Reading package lists... Done
  Building dependency tree       
  Reading state information... Done
  The following packages will be REMOVED:
    libpam-smbpass samba
  0 upgraded, 0 newly installed, 2 to remove and 19 not upgraded.
  13 not fully installed or removed.
  After this operation, 25.6 MB disk space will be freed.
  Do you want to continue [Y/n]? y
  (Reading database ... 345055 files and directories currently installed.)
  Removing libpam-smbpass ...
  Can't locate object method "new" via package "Debconf::Element::Noninteractive::Multiselect" (perhaps you forgot to load "Debconf::Element::Noninteractive::Multiselect"?) at /usr/share/perl5/Debconf/FrontEnd.pm line 68, <GEN0> line 8.
  Use of uninitialized value $ret in scalar chomp at /usr/share/perl5/Debconf/Client/ConfModule.pm line 132, <STDIN> line 7.
  Use of uninitialized value $ret in split at /usr/share/perl5/Debconf/Client/ConfModule.pm line 133, <STDIN> line 7.
  Use of uninitialized value $ret[0] in string eq at /usr/share/perl5/Debconf/Client/ConfModule.pm line 134, <STDIN> line 7.
  dpkg: error processing libpam-smbpass (--remove):
   subprocess installed pre-removal script returned error exit status 2
  Can't locate object method "new" via package "Debconf::Element::Noninteractive::Multiselect" (perhaps you forgot to load "Debconf::Element::Noninteractive::Multiselect"?) at /usr/share/perl5/Debconf/FrontEnd.pm line 68, <GEN0> line 9.
  dpkg: error while cleaning up:
   subprocess installed post-installation script returned error exit status 2
  Removing samba ...
  nmbd stop/waiting
  smbd stop/waiting
  Processing triggers for ureadahead ...
  ureadahead will be reprofiled on next reboot
  Processing triggers for ufw ...
  Errors were encountered while processing:
   libpam-smbpass
  E: Sub-process /usr/bin/dpkg returned an error code (1)

  ProblemType: Package
  DistroRelease: Ubuntu 12.04
  Package: libpam-smbpass 2:3.6.3-2ubuntu2.2
  ProcVersionSignature: Ubuntu 3.2.0-25.40-generic 3.2.18
  Uname: Linux 3.2.0-25-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.0.1-0ubuntu8
  Architecture: amd64
  Date: Sun Jun 24 14:33:34 2012
  ErrorMessage: subprocess installed pre-removal script returned error exit status 2
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
  RelatedPackageVersions:
   nautilus 1:3.4.2-0ubuntu2
   gvfs     1.12.1-0ubuntu1
  SambaClientRegression: No
  SourcePackage: samba
  Title: package libpam-smbpass 2:3.6.3-2ubuntu2.2 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 2
  UpgradeStatus: Upgraded to precise on 2012-04-27 (58 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/samba/+bug/1017237/+subscriptions




More information about the foundations-bugs mailing list